NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Weld.ConnectionFinderBuilder Class Reference

Represents a builder to display, manage, delete, and allow the user to reparent face information for the weld objects. More...

Inheritance diagram for NXOpen.Weld.ConnectionFinderBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  FilterTypes {
  All, Passed, Warning, Failed,
  Saved, NotSaved, Deleted
}
 Filter values to control "Save All" processing. More...
 

Public Member Functions

unsafe void CenterNode (NXOpen.NXObject nodeTag)
 Adjusts the display of the part and fits the selected weld points in the center of the graphics window. More...
 
unsafe void ClearAllTree ()
 Clears the tree list and allows you to perform another search. More...
 
unsafe void ClearMarking (NXOpen.NXObject nodeTag)
 Unmarks (removes save or delete mark) the weld feature from processing. More...
 
unsafe void DeleteNode (NXOpen.NXObject nodeTag)
 Deletes the connected part information from the results. More...
 
unsafe NXOpen.ScCollector GetEdgeNodeCollector (NXOpen.NXObject weldObject, int edgeNodeIndex)
 Get the edge collector for a specific weld object and index. More...
 
unsafe NXOpen.ScCollector GetFaceNodeCollector (NXOpen.NXObject weldObject, int faceNodeIndex)
 Get the face collector for a specific weld object and index. More...
 
unsafe NXOpen.ScCollector[] GetFaces (NXOpen.NXObject weldObject)
 Get the face collectors for the given feature set or point depending on the NXOpen.Weld.ConnectionFinderBuilder.ListFeatureSet . More...
 
unsafe bool IsEdgeNodeEmpty (NXOpen.NXObject weldObject, int edgeNodeIndex)
 Identify if the edge collector for a specific weld object and index has edges assigned to it. More...
 
unsafe bool IsFaceNodeEmpty (NXOpen.NXObject weldObject, int faceNodeIndex)
 Identify if the face collector for a specific weld object and index has faces assigned to it. More...
 
unsafe void ReassignEdgeNode (NXOpen.NXObject ownerTag, NXOpen.NXObject nodeTag)
 Reassign the edges from the Reassign Edge collector to the specified node. More...
 
unsafe void ReassignFaceNode (NXOpen.NXObject ownerTag, NXOpen.NXObject nodeTag)
 Reassign the faces from the Reassign Face collector to the specified node. More...
 
unsafe void ReorderAfterEdgeNode (NXOpen.NXObject parentTag, int edgeSetIndexToMove, int edgeSetIndexToReoderAfter)
 Reorders a selected edge by putting it after the specified edge. More...
 
unsafe void ReorderAfterFaceNode (NXOpen.NXObject parentTag, int faceSetIndexToMove, int faceSetIndexToReoderAfter)
 Reorders a selected face by putting it after the specified face. More...
 
unsafe void ReorderBeforeEdgeNode (NXOpen.NXObject parentTag, int edgeSetIndexToMove, int edgeSetIndexToReoderBefore)
 Reorders a selected edge by putting it before the specified edge. More...
 
unsafe void ReorderBeforeFaceNode (NXOpen.NXObject parentTag, int faceSetIndexToMove, int faceSetIndexToReoderBefore)
 Reorders a selected face by putting it before the specified face. More...
 
unsafe void RequiredFaceNode (NXOpen.NXObject nodeTag, bool isRequired)
 Identify if the face node is required (true) or optional (false). More...
 
unsafe void SaveAllTree ()
 Identify all the connected part information as "saved" so the commit will save the information. More...
 
unsafe void SaveNode (NXOpen.NXObject nodeTag)
 Identify the connected part information as "saved" so commit will save the information. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Weld.ConnectionFinderBuilder.FilterTypes 
Filter [get, set]
 Returns or sets the filter values to contol Save All processing. More...
 
unsafe bool ListFeatureSet [get, set]
 Returns or sets the option to list the search results according to the feature sets that the specified weld point belongs to. More...
 
unsafe NXOpen.ScCollector ReassignEdge [get]
 Returns the edges to use when the reassign button is invoked. More...
 
unsafe NXOpen.ScCollector ReassignFace [get]
 Returns the faces to use when the reassign button is invoked. More...
 
unsafe bool UpdateCoordinateSystem [get, set]
 Returns or sets the option to update the coordinate system for the node from the obtained reconnection when saved. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a builder to display, manage, delete, and allow the user to reparent face information for the weld objects.

Created in NX9.0.0

Member Enumeration Documentation

Filter values to control "Save All" processing.

Enumerator
All 
Passed 
Warning 
Failed 
Saved 
NotSaved 
Deleted 

Member Function Documentation

unsafe void NXOpen.Weld.ConnectionFinderBuilder.CenterNode ( NXOpen.NXObject  nodeTag)
inline

Adjusts the display of the part and fits the selected weld points in the center of the graphics window.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
nodeTagWeld Feature.
unsafe void NXOpen.Weld.ConnectionFinderBuilder.ClearAllTree ( )
inline

Clears the tree list and allows you to perform another search.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe void NXOpen.Weld.ConnectionFinderBuilder.ClearMarking ( NXOpen.NXObject  nodeTag)
inline

Unmarks (removes save or delete mark) the weld feature from processing.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
nodeTagWeld Feature.
unsafe void NXOpen.Weld.ConnectionFinderBuilder.DeleteNode ( NXOpen.NXObject  nodeTag)
inline

Deletes the connected part information from the results.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
nodeTagWeld Feature
unsafe NXOpen.ScCollector NXOpen.Weld.ConnectionFinderBuilder.GetEdgeNodeCollector ( NXOpen.NXObject  weldObject,
int  edgeNodeIndex 
)
inline

Get the edge collector for a specific weld object and index.

This is useful when the edge node for the object is empty and you need to populate it. Search will be limited by the list feature set setting.

Created in NX9.0.0

License requirements: None.

Parameters
weldObjectSpecific weld feature set or point to search for.
edgeNodeIndexSpecific position index to look for in the weld object.
Returns
Can return a null reference (Nothing in Visual Basic) if not found.
unsafe NXOpen.ScCollector NXOpen.Weld.ConnectionFinderBuilder.GetFaceNodeCollector ( NXOpen.NXObject  weldObject,
int  faceNodeIndex 
)
inline

Get the face collector for a specific weld object and index.

This is useful when the face node for the object is empty and you need to populate it. Search will be limited by the list feature set setting.

Created in NX9.0.0

License requirements: None.

Parameters
weldObjectSpecific weld feature set or point to search for.
faceNodeIndexSpecific position index to look for in the weld object.
Returns
Can return a null reference (Nothing in Visual Basic) if not found.
unsafe NXOpen.ScCollector [] NXOpen.Weld.ConnectionFinderBuilder.GetFaces ( NXOpen.NXObject  weldObject)
inline

Get the face collectors for the given feature set or point depending on the NXOpen.Weld.ConnectionFinderBuilder.ListFeatureSet .

Created in NX10.0.2

License requirements: None.

Parameters
weldObjectSpecific weld feature set or point to search for.
Returns
Face Collectors.
unsafe bool NXOpen.Weld.ConnectionFinderBuilder.IsEdgeNodeEmpty ( NXOpen.NXObject  weldObject,
int  edgeNodeIndex 
)
inline

Identify if the edge collector for a specific weld object and index has edges assigned to it.

Search will be limited by the list feature set setting. An error will be returned if the edge node cannot be found or the collector is missing.

Created in NX9.0.0

License requirements: None.

Parameters
weldObjectSpecific weld feature set or point to search for.
edgeNodeIndexSpecific position index to look for in the weld object.
Returns
unsafe bool NXOpen.Weld.ConnectionFinderBuilder.IsFaceNodeEmpty ( NXOpen.NXObject  weldObject,
int  faceNodeIndex 
)
inline

Identify if the face collector for a specific weld object and index has faces assigned to it.

Search will be limited by the list feature set setting. An error will be returned if the face node cannot be found or the collector is missing.

Created in NX9.0.0

License requirements: None.

Parameters
weldObjectSpecific weld feature set or point to search for.
faceNodeIndexSpecific position index to look for in the weld object.
Returns
unsafe void NXOpen.Weld.ConnectionFinderBuilder.ReassignEdgeNode ( NXOpen.NXObject  ownerTag,
NXOpen.NXObject  nodeTag 
)
inline

Reassign the edges from the Reassign Edge collector to the specified node.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
ownerTagWeld Feature Set or Feature Point.
nodeTagEdge, or collector, identify which edges to modify in set or point.
unsafe void NXOpen.Weld.ConnectionFinderBuilder.ReassignFaceNode ( NXOpen.NXObject  ownerTag,
NXOpen.NXObject  nodeTag 
)
inline

Reassign the faces from the Reassign Face collector to the specified node.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
ownerTagWeld Feature Set or Feature Point.
nodeTagFace, or collector, identify which faces to modify in set or point.
unsafe void NXOpen.Weld.ConnectionFinderBuilder.ReorderAfterEdgeNode ( NXOpen.NXObject  parentTag,
int  edgeSetIndexToMove,
int  edgeSetIndexToReoderAfter 
)
inline

Reorders a selected edge by putting it after the specified edge.

Indices start at 0 for the 1st element.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
parentTagParent Weld Feature.
edgeSetIndexToMoveIndex of the edge set to reorder
edgeSetIndexToReoderAfterIndex of the edge set to reposition after
unsafe void NXOpen.Weld.ConnectionFinderBuilder.ReorderAfterFaceNode ( NXOpen.NXObject  parentTag,
int  faceSetIndexToMove,
int  faceSetIndexToReoderAfter 
)
inline

Reorders a selected face by putting it after the specified face.

Indices start at 0 for the 1st element.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
parentTagParent Weld Feature.
faceSetIndexToMoveIndex of the face set to reorder
faceSetIndexToReoderAfterIndex of the face set to reposition after
unsafe void NXOpen.Weld.ConnectionFinderBuilder.ReorderBeforeEdgeNode ( NXOpen.NXObject  parentTag,
int  edgeSetIndexToMove,
int  edgeSetIndexToReoderBefore 
)
inline

Reorders a selected edge by putting it before the specified edge.

Indices start at 0 for the 1st element.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
parentTagParent Weld Feature.
edgeSetIndexToMoveIndex of the edge set to reorder
edgeSetIndexToReoderBeforeIndex of the edge set to reposition before
unsafe void NXOpen.Weld.ConnectionFinderBuilder.ReorderBeforeFaceNode ( NXOpen.NXObject  parentTag,
int  faceSetIndexToMove,
int  faceSetIndexToReoderBefore 
)
inline

Reorders a selected face by putting it before the specified face.

Indices start at 0 for the 1st element.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
parentTagParent Weld Feature.
faceSetIndexToMoveIndex of the face set to reorder
faceSetIndexToReoderBeforeIndex of the face set to reposition before
unsafe void NXOpen.Weld.ConnectionFinderBuilder.RequiredFaceNode ( NXOpen.NXObject  nodeTag,
bool  isRequired 
)
inline

Identify if the face node is required (true) or optional (false).

This is used in the case where a weld point has been identified as having faces from only 1 connected part.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
nodeTagWeld face identifier. Typically, this will be the tag for the collector.
isRequiredIs the face node required (true) or optional (false)?
unsafe void NXOpen.Weld.ConnectionFinderBuilder.SaveAllTree ( )
inline

Identify all the connected part information as "saved" so the commit will save the information.

Dependent on value of NXOpen.Weld.ConnectionFinderBuilder.FilterTypes . Will not mark nodes identified in failure condition.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe void NXOpen.Weld.ConnectionFinderBuilder.SaveNode ( NXOpen.NXObject  nodeTag)
inline

Identify the connected part information as "saved" so commit will save the information.

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

Parameters
nodeTagWeld Feature.
unsafe bool NXOpen.Weld.ConnectionFinderBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Weld.ConnectionFinderBuilder.FilterTypes NXOpen.Weld.ConnectionFinderBuilder.Filter
getset

Returns or sets the filter values to contol Save All processing.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.ConnectionFinderBuilder.ListFeatureSet
getset

Returns or sets the option to list the search results according to the feature sets that the specified weld point belongs to.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.ScCollector NXOpen.Weld.ConnectionFinderBuilder.ReassignEdge
get

Returns the edges to use when the reassign button is invoked.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.ConnectionFinderBuilder.ReassignFace
get

Returns the faces to use when the reassign button is invoked.

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.Weld.ConnectionFinderBuilder.UpdateCoordinateSystem
getset

Returns or sets the option to update the coordinate system for the node from the obtained reconnection when saved.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.